Name:          mpv
Version:       0.40.0
Release:       1mamba
Summary:       A free (as in freedom) media player for the command line
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mpv.io/
Source:        https://github.com/mpv-player/mpv.git/v%{version}/mpv-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXext-devel
BuildRequires: libXrandr-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libarchive-devel
BuildRequires: libass-devel
BuildRequires: libavcodec-devel
BuildRequires: libavdevice-devel
BuildRequires: libavfilter-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libbluray-devel
BuildRequires: libcdio-devel
BuildRequires: libcdio-paranoia-devel
BuildRequires: libdisplay-info-devel
BuildRequires: libdrm-devel
BuildRequires: libdvdnav-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libjack-devel
BuildRequires: libjpeg-devel
BuildRequires: libjpeg-turbo
BuildRequires: liblcms2-devel
BuildRequires: liblua52-devel
BuildRequires: libmesa-devel
BuildRequires: libopenal-devel
BuildRequires: libpipewire-devel
BuildRequires: libplacebo-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libreadline-devel
BuildRequires: librubberband-devel
BuildRequires: libsndio-devel
BuildRequires: libswresample-devel
BuildRequires: libswscale-devel
BuildRequires: libuchardet-devel
BuildRequires: libva-devel
BuildRequires: libvapoursynth-devel
BuildRequires: libvdpau-devel
BuildRequires: libvulkan-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxpresent-devel
BuildRequires: libz-devel
BuildRequires: libzimg-devel
BuildRequires: nv-codec-headers
BuildRequires: wayland-protocols
## AUTOBUILDREQ-END
BuildRequires: libplacebo-devel >= 0:7.349.0-1mamba
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
mpv is a free (as in freedom) media player for the command line.
It is a fork of mplayer2 and MPlayer. It shares some features with the former projects while introducing many more.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for lib%{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains development files for lib%{name}.


%prep
%setup -q

%build
%meson \
   --auto-features auto \
   -Dlibmpv=true \
   -Dcaca=disabled \
   -Dcdda=enabled \
   -Ddvbin=enabled \
   -Ddvdnav=enabled \
   -Dlibarchive=enabled \
   -Dopenal=enabled

%meson_build

:<< __OLD
./waf configure \
    --prefix=%{_prefix} \
	--libdir=%{_libdir} \
    --confdir=%{_sysconfdir}/mpv \
    --enable-alsa \
    --enable-cdda \
    --enable-cplugins \
    --enable-dvb \
    --enable-dvdnav \
    --enable-iconv \
    --enable-jack \
    --enable-lcms2 \
    --enable-libavdevice \
    --enable-libbluray \
    --enable-libarchive \
    --enable-libmpv-shared \
    --enable-manpage-build \
    --enable-openal \
    --enable-pulse \
    --enable-rubberband \
    --enable-sdl2 \
    --enable-drm \
    --enable-gbm \
    --enable-wayland \
    --enable-x11 \
    --enable-xv \
    --enable-gl-x11 \
    --enable-egl-x11 \
    --enable-egl-drm \
    --enable-gl-wayland \
    --enable-vdpau \
    --enable-vdpau-gl-x11 \
    --enable-vaapi \
    --enable-vaapi-x11 \
    --enable-vaapi-wayland \
    --enable-vaapi-drm \
    --enable-vaapi-x-egl \
    --enable-caca \
    --enable-jpeg \
    --enable-plain-gl \
    --enable-gl \
    --enable-dvbin \
    --disable-build-date

./waf build
__OLD

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#install -d -m0755 %{buildroot}%{_datadir}/mpv/scripts
#install -D -m0644 TOOLS/lua/* %{buildroot}%{_datadir}/mpv/scripts/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%dir %{_sysconfdir}/mpv
%config(noreplace) %{_sysconfdir}/mpv/encoding-profiles.conf
%{_bindir}/mpv
%{_datadir}/applications/mpv.desktop
%{_datadir}/metainfo/mpv.metainfo.xml
%{_datadir}/bash-completion/completions/mpv
%{_datadir}/fish/vendor_completions.d/mpv.fish
%{_datadir}/zsh/site-functions/_mpv
%{_datadir}/icons/hicolor/*/apps/mpv.png
%{_datadir}/icons/hicolor/scalable/apps/mpv.svg
%{_datadir}/icons/hicolor/symbolic/apps/mpv-symbolic.svg
%dir %{_datadir}/doc/mpv
%{_datadir}/doc/mpv/*
%{_mandir}/man1/mpv.1*
%doc LICENSE.GPL

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmpv.so.*
%doc LICENSE.LGPL

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mpv
%{_includedir}/mpv/*.h
%{_libdir}/libmpv.so
%{_libdir}/pkgconfig/mpv.pc
%doc README.md

%changelog
* Thu Mar 27 2025 Automatic Build System <autodist@openmamba.org> 0.40.0-1mamba
- automatic version update by autodist

* Tue Sep 24 2024 Automatic Build System <autodist@openmamba.org> 0.39.0-1mamba
- automatic version update by autodist

* Sun Jul 28 2024 Automatic Build System <autodist@mambasoft.it> 0.38.0-2mamba
- rebuilt by autoport with build requirements: libplacebo-devel>=0:7.349.0-1mamba

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 0.38.0-1mamba
- automatic version update by autodist

* Wed Mar 20 2024 Automatic Build System <autodist@openmamba.org> 0.37.0-1mamba
- automatic version update by autodist

* Mon Jul 24 2023 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Sun Jan 29 2023 Automatic Build System <autodist@mambasoft.it> 0.35.1-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Tue Jan 04 2022 Automatic Build System <autodist@mambasoft.it> 0.34.1-1mamba
- automatic version update by autodist

* Tue Nov 02 2021 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Tue Apr 06 2021 Automatic Build System <autodist@mambasoft.it> 0.33.1-1mamba
- automatic version update by autodist

* Sun Feb 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33.0-2mamba
- specfile reworked to fix errors and install headers

* Mon Jan 25 2021 Automatic Build System <autodist@mambasoft.it> 0.33.0-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Mon Apr 17 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.24.0-1mamba
- package created using the webbuild interface
